package com.xunwang.education.service;

import com.xunwang.education.entity.MyFavoriteNeeds;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Long
 * @since 2022-12-30
 */
public interface MyFavoriteNeedsService extends IService<MyFavoriteNeeds> {

    /**
     * 收藏学员需求
     * @param request
     */
    int collect(HttpServletRequest request);

    /**
     * 取消收藏学员需求
     * @param request
     */
    boolean cancelCollect(HttpServletRequest request);

    /**
     * 查询个人收藏的学员信息
     * @param request
     */
    void findPersonCollect(HttpServletRequest request);
}
