package com.xunwang.education.service.impl;

import com.xunwang.education.entity.MyFavoriteCourses;
import com.xunwang.education.entity.vo.FavoriteCourseVo;
import com.xunwang.education.mapper.MyFavoriteCoursesMapper;
import com.xunwang.education.service.MyFavoriteCoursesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xunwang.education.service.TeacherCoursesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Long
 * @since 2023-01-04
 */
@Service
public class MyFavoriteCoursesServiceImpl extends ServiceImpl<MyFavoriteCoursesMapper, MyFavoriteCourses> implements MyFavoriteCoursesService {

    @Override
    public List<FavoriteCourseVo> getFavoriteCourseInfo(String id) {
        return baseMapper.FavoriteCourseVo(id);
    }
}
